:root {
  --main-color: #61d5df;
  --bg-color: #f8f9fa;
  --max-size: 100%;
  --catalog-title: #29304b;
  --catalog-price: #707587;
  --border-color: #e4e5ec;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: var(--bg-color);
  font-family: "Roboto", sans-serif;
}

.catalog {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  padding: 20px;
}

.catalog__product {
  flex: 1 290px;
  height: 265px;
  background-color: #ffffff;
  border: 1px solid var(--border-color);
  border-radius: 8px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10px 0 0 0;
  position: relative;
}

.catalog__product:hover {
  box-shadow: 0 0 0 1px var(--main-color);
}

.catalog__head {
  display: none;
  position: relative;
}

.catalog__product:hover .catalog__head {
  display: flex;
  justify-content: space-between;
  width: var(--max-size);
  padding: 10px;
  position: absolute;
}

.catalog__inventorybtn {
  padding: 4px 8px;
  border-radius: 3px;
  background-color: var(--main-color);
  cursor: pointer;
  font-family: Helvetica;
  letter-spacing: normal;
  outline: none;
  border: none;
  text-transform: capitalize;
  font-size: 14px;
  color: #fff;
}

.catalog__img {
  width: var(--max-size);
  height: 170px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 22px;
}

.catalog__img img {
  max-width: var(--max-size);
  max-height: var(--max-size);
}

.catalog__title {
  font-size: 14px;
  color: --catalog-title;
  padding: 0 14px;
}

.catalog__prices {
  padding: 10px 15px;
  border-top: 1px solid var(--border-color);
  font-size: 14px;
  color: var(--catalog-price);
}

.wrapper {
  height: var(--max-size);
  width: var(--max-size);
}

.content {
  height: var(--max-size);
  padding-left: 270px;
}

.header {
  background-color: var(--bg-color);
  padding: 20px;
  display: flex;
  justify-content: space-between;
}

.header__content {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header__selectAll {
  outline: none;
  border: none;
  border-radius: 5px;
  color: #ffffff;
  background-color: var(--main-color);
  padding: 10px 15px;
  margin-right: 15px;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 11px;
  cursor: pointer;
}

.header__selection {
  padding-left: 15px;
  border-left: 1px solid var(--border-color);
  font-size: 11px;
  font-weight: 500;
}
.search__input {
  width: 450px;
  height: 29px;
  border-radius: 2px;
  font-size: 15px;
  background: linear-gradient(-25deg,var(--main-color),#d0f0f7);
  margin: 0px 10px;
  color: white;
  outline: none;
  border: none;
  font-family: sans-serif;
}
::placeholder{
  color: white;
}
.header__searchbtn {
  background: var(--main-color);
  border: none;
  border-radius: 5px;
  height: 30px;
  width: 130px;
  margin: 0px 20px;
  font-family: Helvetica;
  color: white;
}
.sort__section {
  padding: 15px 20px;
  border-bottom: 1px solid var(--border-color);
  letter-spacing: -1px;
}
.header__content-btn{
  padding: 7px 8px;
  margin: 0px 10px;
  border-radius: 5px;
  background-color: var(--catalog-title);
  cursor: pointer;
  font-family: Helvetica;
  letter-spacing: normal;
  outline: none;
  border: none;
  text-transform: capitalize;
  font-size: 14px;
  color: #fff;
}
